Package Gnumed :: Package wxpython :: Module gmGuiHelpers :: Class cFileDropTarget |
[frames] | no frames]

# Class cFileDropTarget

source code

    wx.FileDropTarget --+
                        |
                       cFileDropTarget

    Generic file drop target class.

    Protocol:
            Widgets being declared file drop targets
            must provide the method:

                    def _drop_target_consume_filenames(self, filenames)

            or declare a callback during __init__() of this class.

Instance Methods
__init__(self, target=None, on_drop_callback=None) | source code
OnDropFiles(self, x, y, filenames) | source code